#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{
    int  i,k,p,min,max,d;
    scanf ("%i%i",&k,&p);
    int a[k];
    for (i=0;i<k;i++)
        scanf("%i",&a[i]);
    min = a[0];
    max = a[0];
    for (i=0;i<k;i++)
    {
        if (a[i]<min)
            min = a[i];
        if (a[i]>max)
            max = a[i];
    }
    if(min<p && p<max)
        if (p-min<max-p)
            d=(p-min)+(max-min);
        else
            d=(max-p)+(max-min);
    else if (min>p)
        d=max-p;
    else
        d=p-min;

    printf("%i",d);
    return 0;
}